Please see the git commit log:
-$ git log origin/master -- src/pgsql/ | more
+$ git clone git://git.savannah.gnu.org/mit-scheme.git whatever
+$ cd whatever/
+$ git remote add puck git://birchwood-abbey.net/~matt/mit-scheme.git
+$ git fetch puck pucked
+$ git log puck/pucked -- src/pgsql/ | more
install-data-hook:
( echo '(add-plugin "pgsql" "@MIT_SCHEME_PROJECT@"'; \
- echo ' ""'; \
+ echo ' "$(DESTDIR)$(infodir)"'; \
echo ' "$(DESTDIR)$(scmlibdir)"'; \
echo ' "$(DESTDIR)$(scmdocdir)")' ) \
| $(MIT_SCHEME_EXE) --batch-mode
install-html: install-html-am
( echo '(add-plugin "pgsql" "@MIT_SCHEME_PROJECT@"'; \
- echo ' ""'; \
+ echo ' "$(DESTDIR)$(infodir)"'; \
echo ' "$(DESTDIR)$(scmlibdir)"'; \
echo ' "$(DESTDIR)$(scmdocdir)")' ) \
| $(MIT_SCHEME_EXE) --batch-mode
uninstall-hook:
( echo '(remove-plugin "pgsql" "@MIT_SCHEME_PROJECT@"'; \
- echo ' ""'; \
+ echo ' "$(DESTDIR)$(infodir)"'; \
echo ' "$(DESTDIR)$(scmlibdir)"'; \
echo ' "$(DESTDIR)$(scmdocdir)")' ) \
| $(MIT_SCHEME_EXE) --batch-mode
-mit-scheme-pgsql NEWS -- history of user-visible changes.
+mit-scheme-pucked-pgsql NEWS -- history of user-visible changes.
Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
02110-1301, USA.
-mit-scheme-pgsql 0.1 - Matt Birkholz, 2017-07-02
-================================================
+mit-scheme-pucked-pgsql 0.1 - Matt Birkholz, 2017-07-02
+=======================================================
-Now a plugin using libtool and automake.
+Stole v0.1 from MIT/GNU Scheme.
-The POSTGRES option.
+The PGSQL option.
-This plugin creates a (pgsql) package, a drop-in replacement for the
-microcode module based (runtime postgresql) package. It is built in the
-customary GNU way:
+This plugin creates a (pgsql) package. It is built in the customary
+GNU way:
./configure ...
make all check install
To use:
(load-option 'pgsql)
- (import-pgsql)
-
-Import-pgsql will modify the REPL's current environment by adding
-bindings linked to the plugin's exports. They are not exported to the
-global environment because they would conflict with the exports from
-(runtime postgresql).
To import into a CREF package set, add this to your .pkg file:
dnl Process this file with autoconf to produce a configure script.
AC_PREREQ([2.69])
-AC_INIT([MIT/GNU Scheme pgsql plugin],
- [0.1],
- [bug-mit-scheme@gnu.org],
- [mit-scheme-pgsql])
+AC_INIT([MIT/GNU Scheme Pucked pgsql plugin],
+ [0.1.1],
+ [matt@birchwood-abbey.net],
+ [mit-scheme-pucked-pgsql])
AC_CONFIG_SRCDIR([pgsql.pkg])
AC_CONFIG_HEADERS([config.h])
AC_CONFIG_MACRO_DIR([m4])
AC_COPYRIGHT(
-[Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+[Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
+ 2016, 2017 Matthew Birkholz
+
+This file is part of a gdbm plugin for MIT/GNU Scheme Pucked,
+an experimental version of MIT/GNU Scheme.
+
+Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
2017 Massachusetts Institute of Technology
-This file is part of MIT/GNU Scheme.
-
MIT/GNU Scheme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
AH_TOP([/*
+Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
+ 2016, 2017 Matthew Birkholz
+
+This file is part of a gdbm plugin for MIT/GNU Scheme Pucked,
+an experimental version of MIT/GNU Scheme.
+
Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
2017 Massachusetts Institute of Technology
-This file is part of MIT/GNU Scheme.
-
MIT/GNU Scheme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
AC_DEFINE([HAVE_LIBPQ_FE_H], [1],
[Define to 1 if you have the <libpq-fe.h> header file.])
-MIT_SCHEME_PROJECT=mit-scheme
+MIT_SCHEME_PROJECT=mit-scheme-pucked
: ${MIT_SCHEME_EXE=mit-scheme}
MIT_SCHEME_LIBDIR=`( echo "(display (->namestring" ;\
echo " (system-library-directory-pathname)))" ) \
MIT_SCHEME_DEPS="${MIT_SCHEME_DEPS}
${MIT_SCHEME_PKD}: stamp-scheme"
+# Install plugin docs in Scheme's docdir subdirectories.
+htmldir='$(datarootdir)/doc/$(MIT_SCHEME_PROJECT)/html'
+pdfdir='$(datarootdir)/doc/$(MIT_SCHEME_PROJECT)/pdf'
+
AC_SUBST([MIT_SCHEME_PROJECT])
AC_SUBST([MIT_CFLAGS])
AC_SUBST([MIT_SCHEME_EXE])
--- /dev/null
+mit-scheme-pucked-pgsql (0.1.1) birchwood; urgency=low
+
+ * Stole v0.1 from MIT/GNU Scheme.
+
+ -- Matt Birkholz <matt@birchwood-abbey.net> Sun, 2 Jul 2017 00:00:00 -0700
--- /dev/null
+Source: mit-scheme-pucked-pgsql
+Section: lisp
+Priority: optional
+Maintainer: Matt Birkholz <matt@birchwood-abbey.net>
+Build-Depends: debhelper (>= 9), autotools-dev, libltdl-dev,
+ mit-scheme-pucked (>= 9.2.7),
+ libpq-dev
+Standards-Version: 3.9.4
+Homepage: http://birchwood-abbey.net/~matt/Scheme/
+Vcs-Git: git://birchwood-abbey.net/~matt/mit-scheme.git
+Vcs-Browser: http://birchwood-abbey.net/gitweb/?p=mit-scheme.git;a=summary
+
+Package: mit-scheme-pucked-pgsql
+Architecture: any
+Depends: mit-scheme-pucked (>= 9.2.7), ${shlibs:Depends}, ${misc:Depends}
+Description: PostgreSQL plugin for MIT/GNU Scheme Pucked
+ This package provides mit-scheme-pucked with a dynamically loadable
+ wrapper of the PostgreSQL C API as implemented by libpq.
--- /dev/null
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mit-scheme-pucked-pgsql
+Source: http://birchwood-abbey.net/~matt/Scheme/
+
+Files: *
+Copyright:
+Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
+ 2016, 2017 Matthew Birkholz
+Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
+ 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+ 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
+ 2017 Massachusetts Institute of Technology
+License: GPL-2+
+ This package is a PostgreSQL plugin for MIT/GNU Scheme Pucked,
+ an experimental version of MIT/GNU Scheme.
+ .
+ MIT/GNU Scheme is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License as
+ published by the Free Software Foundation; either version 2 of the
+ License, or (at your option) any later version.
+ .
+ MIT/GNU Scheme is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with MIT/GNU Scheme; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ 02110-1301, USA.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in
+ "/usr/share/common-licenses/GPL-2".
--- /dev/null
+NEWS
+README
--- /dev/null
+#!/bin/sh
+
+set -e
+
+( echo '(add-plugin "@PLUGIN@" "@PROJECT@"'; \
+ echo ' "@INFODIR@"'; \
+ echo ' (system-library-directory-pathname)'; \
+ echo ' "@SCMDOCDIR@")' ) \
+| /usr/bin/mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/bin/sh
+
+set -e
+
+( echo '(remove-plugin "@PLUGIN@" "@PROJECT@"'; \
+ echo ' "@INFODIR@"'; \
+ echo ' (system-library-directory-pathname)'; \
+ echo ' "@SCMDOCDIR@")' ) \
+| mit-scheme-pucked --batch-mode
+
+exit 0
--- /dev/null
+#!/usr/bin/make -f
+
+export MIT_SCHEME_EXE=mit-scheme-pucked
+
+%: debian/postinst debian/prerm
+ dh $@
+
+debian/%: debian/%.in
+ sed -e 's|@SCMDOCDIR@|/usr/share/doc/mit-scheme-pucked|g' \
+ -e 's|@INFODIR@|/usr/share/info|g' \
+ -e 's|@PROJECT@|mit-scheme-pucked|g' \
+ -e 's|@PLUGIN@|pgsql|g' < $< > $@
--- /dev/null
+3.0 (native)
--- /dev/null
+version=3
+http://birchwood-abbey.net/~matt/Scheme/mit-scheme-pucked-pgsql-([0-9.]+)\.tar\.gz debian uupdate
(lambda ()
(load-package-set "pgsql")))
-(add-subsystem-identification! "PGSQL" '(0 1))
\ No newline at end of file
+(add-subsystem-identification! "PGSQL" '(0 1 1))
\ No newline at end of file
ustring-cp-size
ustring?)
(export ()
- import-pgsql)
- (export (pgsql global)
call-with-pgsql-conn
close-pgsql-conn
condition-type:pgsql-connection-error
pgsql-result-status
pgsql-tuples-ok
poll-pgsql-conn
- poll-pgsql-reset))
-
-(define-package (pgsql global)
- ;; Just to get cref to analyze whether all exports are defined.
- )
\ No newline at end of file
+ poll-pgsql-reset))
\ No newline at end of file